<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCodeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('code', function (Blueprint $table) {
            $table->id();
            $table->timestamps();

	    $table->string('url');
	    $table->string('title');
	    $table->string('source');
	    $table->string('item_id')->unique();
	    $table->string('source_url');
	    $table->integer('posted_on');
	    $table->integer('comments')->default(0);
	    $table->integer('upvotes')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('code');
    }
}
